﻿using System;
using System.Collections.Generic;

using System.Text;

namespace Xeno.Core
{
    public class XenoModule
    {
        public string Name { get; set; }
        public string ModuleAuthor { get; set; }
        public string ModuleCopyright { get; set; }
        public string ModuleVersionString { get; set; }
        public bool InvertWorld { get; set; }
        public XenoNode Attached { get; set; }

        public XenoModule()
        {
            Name = "XenoModule";
            ModuleAuthor = "Double Think Games";
            ModuleCopyright = "(c)Double Think Games 2009";
            ModuleVersionString = "Unknown";
            ResetModule();
        }
        public void ResetModule()
        {
            InvertWorld = false;
        }

        public void PerformUpdate()
        {

            DoUpdate();
        }
        public void PerformRender()
        {

            DoRender();
        }

        public virtual void DoUpdate()
        {

        }

        public virtual void DoRender()
        {

        }

    }
}
